
import numpy as np
import cv2
import vlc
import time

#We are using OpenCV to achieve object detection from live frame

def monitor_human():
    return_var = 0

    face_cascade = cv2.CascadeClassifier('haarcascade_frontalface_default.xml')
    eye_cascade = cv2.CascadeClassifier(cv2.data.haarcascades + 'haarcascade_eye_tree_eyeglasses.xml')

    first_read = True

    cap = cv2.VideoCapture(0)
    ret,img = cap.read()

    while(ret):
        ret,img = cap.read()
        gray = cv2.cvtColor(img, cv2.COLOR_BGR2GRAY)
        gray = cv2.bilateralFilter(gray,5,1,1)

        faces = face_cascade.detectMultiScale(gray, 1.3, 5,minSize=(200,200))
        if(len(faces)>0):
            for (x,y,w,h) in faces:
                img = cv2.rectangle(img,(x,y),(x+w,y+h),(0,255,255),10)

                roi_face = gray[y:y+h,x:x+w]
                roi_face_clr = img[y:y+h,x:x+w]
                eyes = eye_cascade.detectMultiScale(img,1.3,5,minSize=(50,50))
                for (ex,ey,ew,eh) in eyes:
                    img=cv2.rectangle(img,(ex,ey),(ex+ew,ey+eh),(0,0,255),2)

                if(len(eyes)>=2):
                    pass
                else:
                    return_var=1

        else:
            return_var=1
        return(return_var)
# The above function returns the status derived through monitoring 

media_player = vlc.MediaPlayer()

# adding media object
media = vlc.Media("./rm.mkv")


# setting media to the media player
media_player.set_media(media)

media_player.audio_set_volume(100)

# start playing video
while(True):
	media_player.play()
	time.sleep(0)
	value = 0
	if(monitor_human()==1):
		while(monitor_human()==1):
			media_player.set_pause(1)
			time.sleep(1)
			if(monitor_human()==0):
				media_player.play()
				time.sleep(0)
				break
